Page MenuHomePhabricator

Process dialog measures footer incorrectly
Closed, ResolvedPublic1 Story Points

Description

See example from new wikitext editor

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 27 2016, 12:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The footer is measured correctly the second time the window is opened.

Change 318244 had a related patch set uploaded (by Esanders):
Set mode of save dialog after setting size so footer is correct height

https://gerrit.wikimedia.org/r/318244

Esanders added a comment.EditedOct 27 2016, 12:58 AM

Fixed this case downstream by ensuring the mode is set after the size is set, but we should make a change upstream to ensure the footer is re-measured whenever the dialog is resized either by setSize or actions.setMode.

Jdforrester-WMF triaged this task as Normal priority.Oct 27 2016, 9:30 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 318244 merged by jenkins-bot:
Set mode of save dialog after setting size so footer is correct height

https://gerrit.wikimedia.org/r/318244

matmarex removed a subscriber: matmarex.Oct 28 2016, 8:45 AM

I don't think this is resolved yet, as I've seen it recur a few times when editing, but I can't replicate right now, sorry.

matmarex claimed this task.May 8 2018, 12:36 AM
matmarex added a subscriber: Mooeypoo.

@Mooeypoo also ran into this issue with https://gerrit.wikimedia.org/r/#/c/365504/7/src/dialogs/SimpleProcessDialog.js@169 and we spent a lot of time debugging it before I found this task. I don't know why we did not fix it in 2016 when @Esanders described the solution…

Change 431685 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] ProcessDialog: Fix footer height when actions or dialog size changes

https://gerrit.wikimedia.org/r/431685

Change 431685 merged by jenkins-bot:
[oojs/ui@master] ProcessDialog: Fix footer height when actions or dialog size changes

https://gerrit.wikimedia.org/r/431685

We should see if there are any downstream hacks we can remove now.

I am pretty sure we don't have any hacks to remove. It seems that when we ran into this issue (your one patch in 2016, and I vaguely recall something else more recent but I can't find the commit for it), we managed to resolve it by reordering some operations. There is no point in trying to reorder them back.

Hmm, I was probably thinking about rEVED39b82f7b0027: Revert 032fb292, a97eacd0, but that was a different bug.

matmarex moved this task from Backlog to Doing on the OOUI board.May 8 2018, 5:52 PM
matmarex removed a project: Patch-For-Review.
matmarex closed this task as Resolved.May 9 2018, 10:18 PM
matmarex edited projects, added OOUI (OOUI-0.27.0); removed OOUI.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 9 2018, 10:18 PM